Subject: Re: [codec] #5: Mention DTMF in requirements

From: Michael Knappe <[email-masked]>
Date: Fri, 26 Mar 2010 15:37:53 -0700

I would agree with 'should'. Lot's of dtmf out there still, but also out of band options (rfc 2833 / 4733) that make in-band carriage less a concern for SIP telephony applications.

Mik

________________________________
From: [email-masked] <[email-masked]>
To: Christian Hoene <[email-masked]>
Cc: [email-masked] <[email-masked]>
Sent: Fri Mar 26 18:10:31 2010
Subject: Re: [codec] #5: Mention DTMF in requirements

Perhaps analog DTMF carriage is a SHOULD?

I agree that out-of-band is preferable, however, there still are scenarios where coded DTMF tones will be sent.  It would be nice (though IMHO not essential) for this carriage to work.

Stephen Botzko

On Fri, Mar 26, 2010 at 3:04 PM, Christian Hoene <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

> If the point of this issue to allow this codec to be used to successfully
> transit an IP network between two TDM networks,

which is not the primary use-case.

> I'd suggest that out-of-
> band tone transport is far preferable to trying to ensure that the codec
> will carry the tones adequately to allow them to be detected after
> regeneration.

I totally agree. Out-of-band is much better than inband.

Sorry for my radical view but I believe that analog DTMF is an old and obsolete technology not worth considering anymore.

Christian

_______________________________________________
codec mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/codec

---

From: "Christian Hoene" <[email-masked]>
Date: Sun, 28 Mar 2010 16:22:25 +0200

Hi,
 
I found some open source DTMF code at
http://www.soft-switch.org/spandsp-modules.html
Does anybody has access to nice DTMF sample files such as those describe in 
 <http://www.soft-switch.org/spandsp_faq/ar01s13.html> http://www.soft-switch.org/spandsp_faq/ar01s13.html ?
 
Christian

---------------------------------------------------------------
Dr.-Ing. Christian Hoene
Interactive Communication Systems (ICS), University of Tübingen 
Sand 13, 72076 Tübingen, Germany, Phone +49 7071 2970532 
 <http://www.net.uni-tuebingen.de/> http://www.net.uni-tuebingen.de/
 
From: Michael Knappe [mailto:[email-masked]] 
Sent: Friday, March 26, 2010 11:38 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [codec] #5: Mention DTMF in requirements

Mik
  _____  

Stephen Botzko
On Fri, Mar 26, 2010 at 3:04 PM, Christian Hoene < <mailto:[email-masked]> [email-masked]> wrote:
Hi,

Christian

_______________________________________________
codec mailing list
 <mailto:[email-masked]> [email-masked]
 <https://www.ietf.org/mailman/listinfo/codec> https://www.ietf.org/mailman/listinfo/codec

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Sun, 28 Mar 2010 08:36:13 -0700

I disagree with the "SHOULD".  RFC 4733 and RFC 4734 takes care of DTMF and much
more, so this must be an explicit non-goal.  This is an *Internet* codec that we
are talking about so it should reuse as much as possible of the existing
Internet framework.

And BTW, RFC 473[34] is not out of band, it's codec switching.  RFC 47[34] is an
audio codec, simply very good at compressing a very specific set of
frequencies/phases, and replacing everything else by silence.  RFC 4730 and RFC
2676 are out of band.

On 03/26/2010 03:37 PM, Michael Knappe wrote:
>  I would agree with 'should'. Lot's of dtmf out there still, but also
> out of band options (rfc 2833 / 4733) that make in-band carriage less a
> concern for SIP telephony applications.
> 
> Mik
> 
> *From*: [email-masked] <[email-masked]>
> *To*: Christian Hoene <[email-masked]>
> *Cc*: [email-masked] <[email-masked]>
> *Sent*: Fri Mar 26 18:10:31 2010
> *Subject*: Re: [codec] #5: Mention DTMF in requirements
> 
> I agree that out-of-band is preferable, however, there still are
> scenarios where coded DTMF tones will be sent.  It would be nice (though
> IMHO not essential) for this carriage to work.
> 
> Stephen Botzko
> 
>     Sorry for my radical view but I believe that analog DTMF is an old
>     and obsolete technology not worth considering anymore.
> 
>     Christian

-- 
Marc Petit-Huguenin
Personal email: [email-masked]
Professional email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org

---

From: stephen botzko <[email-masked]>
Date: Sun, 28 Mar 2010 14:00:50 -0400

I would agree with this if I saw reasonable evidence that a preponderance of
gateways and sending systems provide the signaling in these RFCs.

Since I am not sure that this is the case, I am unconvinced that we can
totally remove the requirement.

I'd also say that an encoder that detects the DTMF tones and outputs the RFC
4733/34 events would fully meet the requirement.

Stephen Botzko

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Sun, 28 Mar 2010 11:22:51 -0700

On 03/28/2010 11:00 AM, stephen botzko wrote:
> I would agree with this if I saw reasonable evidence that a
> preponderance of gateways and sending systems provide the signaling in
> these RFCs.
> 
> I'd also say that an encoder that detects the DTMF tones and outputs the
> RFC 4733/34 events would fully meet the requirement.

As former CTO of a VoIP provider, I never saw a PSTN provider not supporting at
least RFC 2833 (even if one of them did not declare it in its SDP)

Perhaps the question can be asked at the next SIPit event.

> 
> Stephen Botzko
> 
> On Sun, Mar 28, 2010 at 11:36 AM, Marc Petit-Huguenin <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     > *From*: [email-masked] <mailto:[email-masked]>
>     <[email-masked] <mailto:[email-masked]>>
>     > *To*: Christian Hoene <[email-masked]
>     <mailto:[email-masked]>>
>     > *Cc*: [email-masked] <mailto:[email-masked]> <[email-masked]
>     <mailto:[email-masked]>>
>     > On Fri, Mar 26, 2010 at 3:04 PM, Christian Hoene
>     <[email-masked] <mailto:[email-masked]>
>     > <mailto:[email-masked] <mailto:[email-masked]>>>
>     wrote:
>     >
>     >     Hi,
>     >
>     >     > band tone transport is far preferable to trying to ensure
>     that the
>     >     codec
>     Personal email: [email-masked] <mailto:[email-masked]>
>     Professional email: [email-masked] <mailto:[email-masked]>

---

From: "Wyss, Felix" <[email-masked]>
Date: Sun, 28 Mar 2010 18:17:28 -0400

Christian,

Telcordia sells the "Bellcore tape" DTMF talk-off immunity test recordings as a set of 3 CDs:
http://telecom-info.telcordia.com/site-cgi/ido/docs.cgi?ID=SEARCH&DOCUMENT=FR-763-01

--Felix

From: [email-masked] [mailto:[email-masked]] On Behalf Of Christian Hoene
Sent: Sunday, March 28, 2010 10:22
To: [email-masked]
Subject: Re: [codec] #5: Mention DTMF in requirements, Testing DTMF?

Hi,

http://www.soft-switch.org/spandsp_faq/ar01s13.html ?

Christian

---------------------------------------------------------------
Dr.-Ing. Christian Hoene
Interactive Communication Systems (ICS), University of Tübingen
Sand 13, 72076 Tübingen, Germany, Phone +49 7071 2970532
http://www.net.uni-tuebingen.de/

Mik

Stephen Botzko

Christian